Bug 170052 - update port: games/daimonin-music to remove NO_CHECKSUM
Summary: update port: games/daimonin-music to remove NO_CHECKSUM
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: John Marino
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-21 12:40 UTC by J.R. Oldroyd
Modified: 2013-12-26 23:23 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (1.91 KB, patch)
2012-07-21 12:40 UTC, J.R. Oldroyd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description J.R. Oldroyd 2012-07-21 12:40:12 UTC
This update is to remove the need to have "NO_CHECKSUM" in the Makefile.
The distfile here is un-versioned and has been known to change in place.
This makes checksum verification not possible.  The new technique removes
NO_CHECKSUM and redefines the checksum code to do nothing.

Separately, and also because the file might be updated in place, it is
necessary for the fetch code to remove an old download so that a new version
is downloaded each time this port is re-installed.  This change is also made
with this update.

How-To-Repeat: n/a
Comment 1 Eitan Adler freebsd_committer freebsd_triage 2012-07-21 19:51:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->eadler

I'll take it.
Comment 2 John Marino freebsd_committer 2013-12-26 22:49:47 UTC
Responsible Changed
From-To: eadler->marino

I'll overtake it.
Comment 3 dfilter service freebsd_committer 2013-12-26 23:17:30 UTC
Author: marino
Date: Thu Dec 26 23:17:22 2013
New Revision: 337630
URL: http://svnweb.freebsd.org/changeset/ports/337630

Log:
  games/daimonin-music: Remove NO_CHECKSUM
  
  It appears the original maintainer was trying to have the port
  continue to work even when the AllMusic.zip distinfo file got updated.
  He also worked under the assumption that the port was updated in place
  rather than be deinstalled and reinstalled, hence all the logic in the
  pkg-plist previously.
  
  I removed NO_CHECKSUM, generated a distinfo file, and updated the
  portversion to match the latest modification date (2012-04-02).  The
  related PR provided minimal inspiration, but the same goal has been
  achieved.
  
  PR:		ports/170052

Added:
  head/games/daimonin-music/distinfo   (contents, props changed)
Modified:
  head/games/daimonin-music/Makefile
  head/games/daimonin-music/pkg-plist

Modified: head/games/daimonin-music/Makefile
==============================================================================
--- head/games/daimonin-music/Makefile	Thu Dec 26 22:59:12 2013	(r337629)
+++ head/games/daimonin-music/Makefile	Thu Dec 26 23:17:22 2013	(r337630)
@@ -2,16 +2,15 @@
 # $FreeBSD$
 
 PORTNAME=	daimonin-music
-PORTVERSION=	20100827
+PORTVERSION=	20120402
 CATEGORIES=	games
 MASTER_SITES=	SF/daimonin/Addon%20packs/Music/
-DISTFILES=	AllMusic.zip
-DIST_SUBDIR=	${PORTNAME:S/-music//}
+DISTNAME=	AllMusic
+DIST_SUBDIR=	daimonin
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Music for daimonin client
 
-NO_CHECKSUM=	true
 NO_BUILD=	true
 USE_ZIP=	true
 

Added: head/games/daimonin-music/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/daimonin-music/distinfo	Thu Dec 26 23:17:22 2013	(r337630)
@@ -0,0 +1,2 @@
+SHA256 (daimonin/AllMusic.zip) = 1d330ff29ef7e0e0ca3e2f040421d18874ba1b5a7ef746c3ef84403ea4a340cb
+SIZE (daimonin/AllMusic.zip) = 89481137

Modified: head/games/daimonin-music/pkg-plist
==============================================================================
--- head/games/daimonin-music/pkg-plist	Thu Dec 26 22:59:12 2013	(r337629)
+++ head/games/daimonin-music/pkg-plist	Thu Dec 26 23:17:22 2013	(r337630)
@@ -54,6 +54,7 @@ share/daimonin/media/License Note
 share/daimonin/media/airhits-01.ogg
 share/daimonin/media/airhits-02.ogg
 share/daimonin/media/barrenlands.ogg
+share/daimonin/media/battle.ogg
 share/daimonin/media/bubblymud.ogg
 share/daimonin/media/comecloser.ogg
 share/daimonin/media/echo.ogg
@@ -63,12 +64,14 @@ share/daimonin/media/frozen.ogg
 share/daimonin/media/ghost.ogg
 share/daimonin/media/jungle1.ogg
 share/daimonin/media/landing.ogg
+share/daimonin/media/media.txt
 share/daimonin/media/ocean.ogg
+share/daimonin/media/orchestral.ogg
 share/daimonin/media/rainthunder.ogg
 share/daimonin/media/raspy.ogg
 share/daimonin/media/rubberfreak.ogg
 share/daimonin/media/spokyspace.ogg
 share/daimonin/media/swamp.ogg
 share/daimonin/media/thonkdonk.ogg
-@dirrmtry share/daimonin/media
-@dirrmtry share/daimonin
+@dirrm share/daimonin/media
+@dirrm share/daimonin
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 John Marino freebsd_committer 2013-12-26 23:23:58 UTC
State Changed
From-To: open->closed

Committed, with major differences